#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {3,1,1,1,4,1,1,1,2,1};
}

int getMove1d(std::vector<int> v)
{
    if(v.size()==3){
        if(v[2]!=1)return 2;
        else return 0;
    }
    if(v.size()==5){
        if(v[4]==3)return 4;
        else return 0;
    }
    if(v.size()==7){
        if(v[1]==2)return 6;
        else return 0;
    }
    else{
        if(v[0]==2)return 0;
        else return 6;
    }
    return 0;
}
std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
